Bug 441012 - Fedora 9 Beta boot dies on SELinux policy
Fedora 9 Beta boot dies on SELinux policy
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
i686 Linux
low Severity high
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 22:30 EDT by Allan Kugel
Modified: 2008-05-02 16:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-02 16:11:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allan Kugel 2008-04-04 22:30:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
I installed Fedora 9 Beta over a Fedora Core 6 installation.  When I tried to boot, it died with the following messages [possible typos]
-----------------------------------------------------------------------
SELinux policy loaded wih handle_unknown type=140 audit(1207342850.413:3)=allow policy loaded avid=4294967295 s[?]s=429496729
mount failed for selinuxfs on /selinux.
Device or resource busy
Unable to load SELinux policy.
Machine is in enforcing mode.  Halting now.
Kernel panic - not syncing: Attempted to kill init!
-----------------------------------------------------------------------


Version-Release number of selected component (if applicable):
Fedora 9 Beta

How reproducible:
Always


Steps to Reproduce:
1. boot or reboot target machine
2.
3.

Actual Results:
(see description above)

Expected Results:
System boots or at least goes to a state where the problem can be fixed

Additional info:
Dell Precision M60 Laptop

current /etc/mtab contents:
/dev/root / ext3 ro 0 0
(one line!)
Comment 1 Daniel Walsh 2008-04-06 05:41:53 EDT
Could you make sure selinux-policy-targeted is installed?

Comment 2 Allan Kugel 2008-04-06 09:13:32 EDT
How do I do that?

When I chose the option "install [?over] existing system", the install process
didn't ask me to pick packages (which I found curious at the time) unless it
asked and then timed out (I had to leave the install unattended at one point).
Does "install [?using] existing system" use the existing package list, or
something else?
Comment 3 Daniel Walsh 2008-04-07 23:03:14 EDT
yum install selinux-policy-targeted

Note You need to log in before you can comment on or make changes to this bug.